array_unshift
array_walk_recursive
Array Functions
PHP Manual

# array_values

(PHP 4, PHP 5)

array_values — Return all the values of an array

### Description

array array_values ( array `$input` )

array_values() returns all the values from the `input` array and indexes numerically the array.

### Parameters

`input`

  The array.

### Return Values

Returns an indexed array of values.

### Examples

Example #1 array_values() example

`<?php
$array = array("size" => "XL", "color" => "gold");
print_r(array_values($array));
?>`

The above example will output:

    Array
    (
        [0] => XL
        [1] => gold
    )

### See Also

- array_keys()

array_unshift
array_walk_recursive
Array Functions
PHP Manual